- Main Page
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# IAEX::MyTextEdit Class Reference

Extends QTextEdit. Mostly so I can catch when a user clicks on the editor. More...

List of all members.

## Protected Member Functions
void | mousePressEvent (QMouseEvent *event)
void | wheelEvent (QWheelEvent *event)
| Handles mouse wheel events, ignore them and send the up in the cell hierarchy.
void | keyPressEvent (QKeyEvent *event)
| Handles key event, check if command completion or eval, otherwise send them to the textbrowser.
void | insertFromMimeData (const QMimeData *source)
| If the mimedata that should be insertet contain text, create a new mimedata object that only contains text, otherwise text format is insertet also - don't want that for inputcells.

## Detailed Description

Extends QTextEdit. Mostly so I can catch when a user clicks on the editor.

Author:
  Anders Ferström

Date:
  2005-11-01

## Member Function Documentation

void IAEX::MyTextEdit::insertFromMimeData | ( | const QMimeData * | source | ) | `[protected]`

| If the mimedata that should be insertet contain text, create a new mimedata object that only contains text, otherwise text format is insertet also - don't want that for inputcells. Author: Anders Fernström Date: 2006-01-23

void IAEX::MyTextEdit::keyPressEvent | ( | QKeyEvent * | event | ) | `[protected]`

| Handles key event, check if command completion or eval, otherwise send them to the textbrowser. Author: Anders Fernström Date: 2005-12-15 2006-01-30 (update) 2006-01-30 AF, added ignore to 'Alt+Enter'

void IAEX::MyTextEdit::mousePressEvent | ( | QMouseEvent * | event | ) | `[protected]`

| Author: Anders Fernström Date: 2005-11-01 2005-12-15 (update) Needed a signal to be emited when the user click on the cell. 2005-12-15 AF, set inCommand to false when clicking on the cell, otherwise the commandcompletion class want be reseted when changing inputcells by clicking.

void IAEX::MyTextEdit::wheelEvent | ( | QWheelEvent * | event | ) | `[protected]`

| Handles mouse wheel events, ignore them and send the up in the cell hierarchy. Author: Anders Fernström Date: 2005-11-28

The documentation for this class was generated from the following files:

- C:/OpenModelica/OMNotebookQT4 v2/OMNotebookQT4/inputcell.h
- C:/OpenModelica/OMNotebookQT4 v2/OMNotebookQT4/inputcell.cpp
- C:/OpenModelica/OMNotebookQT4 v2/OMNotebookQT4/moc_inputcell.cpp